de.esprit.appsuite.jversion

## Class JavaVersion

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.jversion.JavaVersion

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, SysProps, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<JavaVersion>

      public class JavaVersion
      extends TransferableObject
      implements Renderable, SysProps, java.lang.Comparable<JavaVersion>

  This class encapsulates information about a Java Virtual Machine, that was discovered by the `JavaVersionManager`.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.common.util.SysProps

      `FILE_SEPARATOR, JAVA_CLASS_PATH, JAVA_ENDORSED_DIRS, JAVA_HOME, JAVA_IO_TMPDIR, JAVA_RUNTIME_NAME, JAVA_RUNTIME_VERSION, JAVA_SPECIFICATION_VERSION, JAVA_VERSION, JAVA_VM_NAME, LINE_SEPARATOR, OS_ARCH, OS_NAME, OS_VERSION, PATH_SEPARATOR, SUN_ARCH_DATA_MODEL, SUN_AWT_EXCEPTION_HANDLER, USER_DIR, USER_HOME, USER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaVersion(java.io.File installationDir, java.io.File javaExecutable, java.util.Map<java.lang.String,java.lang.String> sysProps)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(JavaVersion o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.io.File` | `getInstallationDir()`
    `java.io.File` | `getJvmExecutable()`
    `java.lang.String` | `getJvmName()`
    `NumericalPrecision` | `getJvmPrecision()`
    `JavaTechnology` | `getJvmTechnology()`
    `JavaVmType` | `getJvmType()`
    `java.lang.String` | `getJvmVersion()`
    `OsArchitecture` | `getOsArchitecture()`
    `OsPlatform` | `getOsPlatform()`
    `OsType` | `getOsType()`
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `int` | `getVersionUpdate()`
    `int` | `hashCode()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaVersion

          public JavaVersion(java.io.File installationDir,
                     java.io.File javaExecutable,
                     java.util.Map<java.lang.String,java.lang.String> sysProps)

  - ### Method Detail

    - #### getVersionUpdate

          public int getVersionUpdate()

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### getInstallationDir

          public java.io.File getInstallationDir()

    - #### getJvmExecutable

          public java.io.File getJvmExecutable()

    - #### getJvmType

          public JavaVmType getJvmType()

    - #### getJvmTechnology

          public JavaTechnology getJvmTechnology()

    - #### getJvmPrecision

          public NumericalPrecision getJvmPrecision()

    - #### getJvmName

          public java.lang.String getJvmName()

    - #### getJvmVersion

          public java.lang.String getJvmVersion()

    - #### getOsPlatform

          public OsPlatform getOsPlatform()

    - #### getOsArchitecture

          public OsArchitecture getOsArchitecture()

    - #### getOsType

          public OsType getOsType()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(JavaVersion o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<JavaVersion>`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.